import { Network } from '@routerprotocol/router-chain-sdk-ts';
interface Constants {
    testnet: {
        contract_address: string;
    };
    mainnet: {
        contract_address: string;
    };
}
interface DomainInfo {
    domainName: string;
    fees?: number;
    data?: string;
}
export declare function fetchSourceChainContracts(chain_id: String, network: keyof Constants): Promise<{
    data: Record<string, any>;
} | undefined>;
export declare function fetchDefaultMintingFeeConfig(network: keyof Constants): Promise<{
    data: Record<string, any>;
} | undefined>;
export declare function checkDomainAndCalculateFees(domain_name: string, duration: number, chain_id: String, tokenAddr: String, network: keyof Constants): Promise<DomainInfo | null>;
export declare function getAllDomains(network: keyof Constants, limit?: number, start_key?: string): Promise<{
    data: Record<string, any>;
}>;
export declare function domainExists(domain_name: String, network: keyof Constants): Promise<boolean>;
export declare function getAllDomainsForOwner(network: keyof Constants, owner: string, limit?: number, start_key?: string): Promise<{
    data: Record<string, any>;
}>;
export declare function getRNSOwner(network: keyof Constants, domain: string, chain_id: string): Promise<{
    data: Record<string, any>;
}>;
export declare function getRNSMetadata(domain: String, network: keyof Constants): Promise<{
    data: Record<string, any>;
}>;
export declare function domainFees(domain_name: String, duration: Number, chain_id: String, tokenAddr: String, network: keyof Constants): Promise<number>;
export declare function getRNSInfo(network: keyof Constants, domain_name: string, custom_info1?: string, custom_info2?: string): Promise<{
    data: Record<string, any>;
}>;
export declare function getRenewalFees(duration: Number, chain_id: String, token_addr: String, network: keyof Constants): Promise<number | undefined>;
export declare function getCustomInfo(domain_name: String, network: keyof Constants): Promise<{
    data: Record<string, any>;
} | undefined>;
export declare function getFeeManagerAddress(network: Network): string;
export declare function getUSDCPrice(network: keyof Constants): Promise<string>;
export {};
